Retrieve transfer options

Generate available payment method options for one or multiple transfer participants depending on the accountID or paymentMethodID you supply in the request body.

The accountID in the route should the partner's accountID.

Read our transfers overview guide to learn more.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/transfers.write scope.

POST
/accounts/{accountID}/transfer-options
cURL Go TypeScript PHP Java Python Ruby .NET
curl -X POST "https://api.moov.io/accounts/{accountID}/transfer-options" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.01.00" \
  -d '{
  "source": {},
  "destination": {},
  "amount": {
    "currency": "USD",
    "value": 1204
  }
}'
mc, _ := moov.NewClient()

// your partner accountID
var accountID string

mc.TransferOptions(ctx, accountID, moov.CreateTransferOptions{
  Source: moov.CreateTransferOptionsTarget{
    AccountID: "string",
  },
  Destination: moov.CreateTransferOptionsTarget{
    AccountID: "string",
  },
  Amount: moov.Amount{
    Currency: "USD",
    Value:    1,
  },
})
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.transfers.generateOptions({
    accountID: "deafe3cf-31d4-4dcc-8176-3d6bf8bb4f04",
    createTransferOptions: {
      source: {},
      destination: {},
      amount: {
        currency: "USD",
        value: 1204,
      },
    },
  });

  console.log(result);
}

run();
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$createTransferOptions = new Components\CreateTransferOptions(
    source: new Components\SourceDestinationOptions(),
    destination: new Components\SourceDestinationOptions(),
    amount: new Components\Amount(
        currency: 'USD',
        value: 1204,
    ),
);

$response = $sdk->transfers->generateOptions(
    accountID: 'deafe3cf-31d4-4dcc-8176-3d6bf8bb4f04',
    createTransferOptions: $createTransferOptions

);

if ($response->transferOptions !== null) {
    // handle response
}
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.*;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.errors.TransferOptionsValidationError;
import io.moov.sdk.models.operations.CreateTransferOptionsResponse;
import java.lang.Exception;

public class Application {

    public static void main(String[] args) throws GenericError, TransferOptionsValidationError, Exception {

        Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

        CreateTransferOptionsResponse res = sdk.transfers().generateOptions()
                .accountID("deafe3cf-31d4-4dcc-8176-3d6bf8bb4f04")
                .createTransferOptions(CreateTransferOptions.builder()
                    .source(SourceDestinationOptions.builder()
                        .build())
                    .destination(SourceDestinationOptions.builder()
                        .build())
                    .amount(Amount.builder()
                        .currency("USD")
                        .value(1204L)
                        .build())
                    .build())
                .call();

        if (res.transferOptions().isPresent()) {
            System.out.println(res.transferOptions().get());
        }
    }
}
from moovio_sdk import Moov
from moovio_sdk.models import components


with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

    res = moov.transfers.generate_options(account_id="deafe3cf-31d4-4dcc-8176-3d6bf8bb4f04", source={}, destination={}, amount={
        "currency": "USD",
        "value": 1204,
    })

    # Handle response
    print(res)
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.transfers.generate_options(account_id: 'deafe3cf-31d4-4dcc-8176-3d6bf8bb4f04', create_transfer_options: Models::Components::CreateTransferOptions.new(
  source: Models::Components::SourceDestinationOptions.new,
  destination: Models::Components::SourceDestinationOptions.new,
  amount: Models::Components::Amount.new(
    currency: 'USD',
    value: 1204
  )
))

unless res.transfer_options.nil?
  # handle response
end
using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Transfers.GenerateOptionsAsync(
    accountID: "deafe3cf-31d4-4dcc-8176-3d6bf8bb4f04",
    body: new CreateTransferOptions() {
        Source = new SourceDestinationOptions() {},
        Destination = new SourceDestinationOptions() {},
        Amount = new Amount() {
            Currency = "USD",
            Value = 1204,
        },
    }
);

// handle response
200 400 401 403 422 429 500 504
The request completed successfully.
application/json
{
  "sourceOptions": [
    {
      "paymentMethodID": "b7a60692-ab86-4eb0-b961-3bb4a714aa42",
      "paymentMethodType": "moov-wallet",
      "wallet": {
        "walletID": "string",
        "partnerAccountID": "c197cd40-7745-4413-8f3b-ec962d1b5225",
        "walletType": "default"
      }
    }
  ],
  "destinationOptions": [
    {
      "paymentMethodID": "b7a60692-ab86-4eb0-b961-3bb4a714aa42",
      "paymentMethodType": "moov-wallet",
      "wallet": {
        "walletID": "string",
        "partnerAccountID": "c197cd40-7745-4413-8f3b-ec962d1b5225",
        "walletType": "default"
      }
    }
  ]
}

x-request-id

string required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
application/json
{
  "error": "string"
}

x-request-id

string required
A unique identifier used to trace requests.
The request contained missing or expired authentication.

x-request-id

string required
A unique identifier used to trace requests.
The user is not authorized to make the request.

x-request-id

string required
A unique identifier used to trace requests.
The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.
application/json
{
  "amount": "string",
  "source": "string",
  "destination": "string"
}

x-request-id

string required
A unique identifier used to trace requests.
Request was refused due to rate limiting.

x-request-id

string required
A unique identifier used to trace requests.
The request failed due to an unexpected error.

x-request-id

string required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.

x-request-id

string required
A unique identifier used to trace requests.

Headers

X-Moov-Version

string
Set this header to v2026.01.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values: v2026.01.00

Path parameters

accountID

string required
The partner's Moov account ID.

Body

application/json

amount

object required
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

value

integer<int64> required

Quantity in the smallest unit of the specified currency.

In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.

destination

object required
Show child attributes

accountID

string

paymentMethodID

string

source

object required
Show child attributes

accountID

string

paymentMethodID

string

Response

application/json

destinationOptions

array<object>
Show child attributes
Moov Wallet ACH Debit Fund ACH Debit Collect ACH Credit Standard ACH Credit Same Day RTP Credit Card Payment Push to Card Pull From Card Apple Pay Card-Present-Payment Instant-Bank-Credit

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: moov-wallet

wallet

object
Show child attributes

partnerAccountID

string<uuid> required

walletID

string required

walletType

string<enum> required

Type of a wallet.

  • default: The system-generated wallet automatically created when an account is granted the wallet capability.
  • general: An additional, user-defined wallet created via API or Dashboard.
Possible values: default, general

bankAccount

object
A bank account as contained within a payment method.
Show child attributes

bankAccountID

string required

bankAccountType

string<enum> required
The bank account type.
Possible values: checking, savings, general-ledger, loan

bankName

string required

fingerprint

string <=100 characters required

Once the bank account is linked, we don't reveal the full bank account number.

The fingerprint acts as a way to identify whether two linked bank accounts are the same.

holderName

string required

holderType

string<enum> required
The type of holder on a funding source.
Possible values: individual, business, guest

lastFourAccountNumber

string required

routingNumber

string required

status

string<enum> required
Possible values: new, verified, verificationFailed, pending, errored

updatedOn

string<date-time> required

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: ach-debit-fund

bankAccount

object
A bank account as contained within a payment method.
Show child attributes

bankAccountID

string required

bankAccountType

string<enum> required
The bank account type.
Possible values: checking, savings, general-ledger, loan

bankName

string required

fingerprint

string <=100 characters required

Once the bank account is linked, we don't reveal the full bank account number.

The fingerprint acts as a way to identify whether two linked bank accounts are the same.

holderName

string required

holderType

string<enum> required
The type of holder on a funding source.
Possible values: individual, business, guest

lastFourAccountNumber

string required

routingNumber

string required

status

string<enum> required
Possible values: new, verified, verificationFailed, pending, errored

updatedOn

string<date-time> required

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: ach-debit-collect

bankAccount

object
A bank account as contained within a payment method.
Show child attributes

bankAccountID

string required

bankAccountType

string<enum> required
The bank account type.
Possible values: checking, savings, general-ledger, loan

bankName

string required

fingerprint

string <=100 characters required

Once the bank account is linked, we don't reveal the full bank account number.

The fingerprint acts as a way to identify whether two linked bank accounts are the same.

holderName

string required

holderType

string<enum> required
The type of holder on a funding source.
Possible values: individual, business, guest

lastFourAccountNumber

string required

routingNumber

string required

status

string<enum> required
Possible values: new, verified, verificationFailed, pending, errored

updatedOn

string<date-time> required

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: ach-credit-standard

bankAccount

object
A bank account as contained within a payment method.
Show child attributes

bankAccountID

string required

bankAccountType

string<enum> required
The bank account type.
Possible values: checking, savings, general-ledger, loan

bankName

string required

fingerprint

string <=100 characters required

Once the bank account is linked, we don't reveal the full bank account number.

The fingerprint acts as a way to identify whether two linked bank accounts are the same.

holderName

string required

holderType

string<enum> required
The type of holder on a funding source.
Possible values: individual, business, guest

lastFourAccountNumber

string required

routingNumber

string required

status

string<enum> required
Possible values: new, verified, verificationFailed, pending, errored

updatedOn

string<date-time> required

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: ach-credit-same-day

bankAccount

object
A bank account as contained within a payment method.
Show child attributes

bankAccountID

string required

bankAccountType

string<enum> required
The bank account type.
Possible values: checking, savings, general-ledger, loan

bankName

string required

fingerprint

string <=100 characters required

Once the bank account is linked, we don't reveal the full bank account number.

The fingerprint acts as a way to identify whether two linked bank accounts are the same.

holderName

string required

holderType

string<enum> required
The type of holder on a funding source.
Possible values: individual, business, guest

lastFourAccountNumber

string required

routingNumber

string required

status

string<enum> required
Possible values: new, verified, verificationFailed, pending, errored

updatedOn

string<date-time> required

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: rtp-credit

card

object
A card as contained within a payment method.
Show child attributes

billingAddress

object required
The billing address associated with the card.
Show child attributes

addressLine1

string <=60 characters
Street address line 1.

addressLine2

string <=32 characters
Street address line 2 (e.g., apartment or suite number).

city

string <=32 characters
City name.

country

string <=2 characters
Two-letter ISO 3166-1 country code.

postalCode

string <=10 characters required
Postal or ZIP code.

stateOrProvince

string <=2 characters
Two-letter state or province code.

bin

string [6 to 8] characters required
The first six to eight digits of the card number, which identifies the financial institution that issued the card.

brand

string<enum> required
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardID

string required
ID of the card.

cardType

string<enum> required
The type of the card.
Possible values: debit, credit, prepaid, unknown

cardVerification

object required
The results of submitting cardholder data to a card network for verification.
Show child attributes

addressLine1

string required
Verification result of the billing address line 1. Derived from the same AVS code as postalCode; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

cvv

string required
Verification result of the card's CVV.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

postalCode

string required
Verification result of the billing address postal code. Derived from the same AVS code as addressLine1; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

accountName

object
Verification results of the cardholder's name, broken down by name component.
The results of submitting cardholder name to a card network for verification.
Show child attributes

firstName

string
Verification result of the cardholder's first name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

fullName

string
Verification result of the cardholder's full name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

lastName

string
Verification result of the cardholder's last name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

middleName

string
Verification result of the cardholder's middle name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

expiration

object required
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters required
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

lastFourCardNumber

string 4 characters required
Last four digits of the card number

cardAccountUpdater

object
The results of the most recent card update request.
Show child attributes

updateType

string<enum>
The results of the card update request.
Possible values: unspecified, account-closed, contact-cardholder, expiration-update, no-change, no-match, number-update

updatedOn

string<date-time>
Timestamp from the card network indicating when the card update was processed.

cardOnFile

boolean
Indicates cardholder has authorized card to be stored for future payments.

domesticPullFromCard

string<enum>
Indicates if the card supports domestic pull-from-card transfer.
Possible values: not-supported, supported, unknown

domesticPushToCard

string<enum>
Indicates which level of domestic push-to-card transfer is supported by the card, if any.
Possible values: not-supported, standard, fast-funds, unknown

holderName

string
The name of the cardholder as it appears on the card.

issuer

string
Financial institution that issued the card.

issuerCountry

string
Country where the card was issued.

merchantAccountID

string
Merchant account whose details (statement descriptor, address, etc.) are used for the card verification authorization. If omitted, the partner account's details are used instead.

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: card-payment

card

object
A card as contained within a payment method.
Show child attributes

billingAddress

object required
The billing address associated with the card.
Show child attributes

addressLine1

string <=60 characters
Street address line 1.

addressLine2

string <=32 characters
Street address line 2 (e.g., apartment or suite number).

city

string <=32 characters
City name.

country

string <=2 characters
Two-letter ISO 3166-1 country code.

postalCode

string <=10 characters required
Postal or ZIP code.

stateOrProvince

string <=2 characters
Two-letter state or province code.

bin

string [6 to 8] characters required
The first six to eight digits of the card number, which identifies the financial institution that issued the card.

brand

string<enum> required
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardID

string required
ID of the card.

cardType

string<enum> required
The type of the card.
Possible values: debit, credit, prepaid, unknown

cardVerification

object required
The results of submitting cardholder data to a card network for verification.
Show child attributes

addressLine1

string required
Verification result of the billing address line 1. Derived from the same AVS code as postalCode; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

cvv

string required
Verification result of the card's CVV.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

postalCode

string required
Verification result of the billing address postal code. Derived from the same AVS code as addressLine1; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

accountName

object
Verification results of the cardholder's name, broken down by name component.
The results of submitting cardholder name to a card network for verification.
Show child attributes

firstName

string
Verification result of the cardholder's first name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

fullName

string
Verification result of the cardholder's full name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

lastName

string
Verification result of the cardholder's last name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

middleName

string
Verification result of the cardholder's middle name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

expiration

object required
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters required
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

lastFourCardNumber

string 4 characters required
Last four digits of the card number

cardAccountUpdater

object
The results of the most recent card update request.
Show child attributes

updateType

string<enum>
The results of the card update request.
Possible values: unspecified, account-closed, contact-cardholder, expiration-update, no-change, no-match, number-update

updatedOn

string<date-time>
Timestamp from the card network indicating when the card update was processed.

cardOnFile

boolean
Indicates cardholder has authorized card to be stored for future payments.

domesticPullFromCard

string<enum>
Indicates if the card supports domestic pull-from-card transfer.
Possible values: not-supported, supported, unknown

domesticPushToCard

string<enum>
Indicates which level of domestic push-to-card transfer is supported by the card, if any.
Possible values: not-supported, standard, fast-funds, unknown

holderName

string
The name of the cardholder as it appears on the card.

issuer

string
Financial institution that issued the card.

issuerCountry

string
Country where the card was issued.

merchantAccountID

string
Merchant account whose details (statement descriptor, address, etc.) are used for the card verification authorization. If omitted, the partner account's details are used instead.

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: push-to-card

card

object
A card as contained within a payment method.
Show child attributes

billingAddress

object required
The billing address associated with the card.
Show child attributes

addressLine1

string <=60 characters
Street address line 1.

addressLine2

string <=32 characters
Street address line 2 (e.g., apartment or suite number).

city

string <=32 characters
City name.

country

string <=2 characters
Two-letter ISO 3166-1 country code.

postalCode

string <=10 characters required
Postal or ZIP code.

stateOrProvince

string <=2 characters
Two-letter state or province code.

bin

string [6 to 8] characters required
The first six to eight digits of the card number, which identifies the financial institution that issued the card.

brand

string<enum> required
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardID

string required
ID of the card.

cardType

string<enum> required
The type of the card.
Possible values: debit, credit, prepaid, unknown

cardVerification

object required
The results of submitting cardholder data to a card network for verification.
Show child attributes

addressLine1

string required
Verification result of the billing address line 1. Derived from the same AVS code as postalCode; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

cvv

string required
Verification result of the card's CVV.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

postalCode

string required
Verification result of the billing address postal code. Derived from the same AVS code as addressLine1; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

accountName

object
Verification results of the cardholder's name, broken down by name component.
The results of submitting cardholder name to a card network for verification.
Show child attributes

firstName

string
Verification result of the cardholder's first name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

fullName

string
Verification result of the cardholder's full name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

lastName

string
Verification result of the cardholder's last name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

middleName

string
Verification result of the cardholder's middle name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

expiration

object required
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters required
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

lastFourCardNumber

string 4 characters required
Last four digits of the card number

cardAccountUpdater

object
The results of the most recent card update request.
Show child attributes

updateType

string<enum>
The results of the card update request.
Possible values: unspecified, account-closed, contact-cardholder, expiration-update, no-change, no-match, number-update

updatedOn

string<date-time>
Timestamp from the card network indicating when the card update was processed.

cardOnFile

boolean
Indicates cardholder has authorized card to be stored for future payments.

domesticPullFromCard

string<enum>
Indicates if the card supports domestic pull-from-card transfer.
Possible values: not-supported, supported, unknown

domesticPushToCard

string<enum>
Indicates which level of domestic push-to-card transfer is supported by the card, if any.
Possible values: not-supported, standard, fast-funds, unknown

holderName

string
The name of the cardholder as it appears on the card.

issuer

string
Financial institution that issued the card.

issuerCountry

string
Country where the card was issued.

merchantAccountID

string
Merchant account whose details (statement descriptor, address, etc.) are used for the card verification authorization. If omitted, the partner account's details are used instead.

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: pull-from-card

applePay

object
Describes an Apple Pay token on a Moov account.
Show child attributes

brand

string<enum> required
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardDisplayName

string required

User-friendly name of the tokenized card returned by Apple.

It usually contains the brand and the last four digits of the underlying card. There is no standard format.

cardType

string<enum> required
The type of the card.
Possible values: debit, credit, prepaid, unknown

dynamicLastFour

string required
The last four digits of the Apple Pay token, which may differ from the tokenized card's last four digits.

expiration

object required
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters required
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

issuerCountry

string
Country where the underlying card was issued.

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: apple-pay
A card used at point of sale terminal for a card present transaction as contained within a payment method.

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: card-present-payment

terminalCard

object
Describes payment card details captured with tap or in-person payment.
Show child attributes

applicationID

string
Identifier for the point of sale terminal application.

applicationName

string
Name label for the point of sale terminal application.

bin

string [6 to 8] characters

brand

string<enum>
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardType

string<enum>
The type of the card.
Possible values: debit, credit, prepaid, unknown

entryMode

string<enum>
How the card information was entered into the point of sale terminal.
Possible values: contactless

expiration

object
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

holderName

string
The name of the cardholder as it appears on the card.

issuer

string
Financial institution that issued the card.

issuerCountry

string
Country where the card was issued.

lastFourCardNumber

string 4 characters
Last four digits of the card number
Instantly send funds to a bank account.

bankAccount

object
A bank account as contained within a payment method.
Show child attributes

bankAccountID

string required

bankAccountType

string<enum> required
The bank account type.
Possible values: checking, savings, general-ledger, loan

bankName

string required

fingerprint

string <=100 characters required

Once the bank account is linked, we don't reveal the full bank account number.

The fingerprint acts as a way to identify whether two linked bank accounts are the same.

holderName

string required

holderType

string<enum> required
The type of holder on a funding source.
Possible values: individual, business, guest

lastFourAccountNumber

string required

routingNumber

string required

status

string<enum> required
Possible values: new, verified, verificationFailed, pending, errored

updatedOn

string<date-time> required

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: instant-bank-credit

sourceOptions

array<object>
Show child attributes
Moov Wallet ACH Debit Fund ACH Debit Collect ACH Credit Standard ACH Credit Same Day RTP Credit Card Payment Push to Card Pull From Card Apple Pay Card-Present-Payment Instant-Bank-Credit

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: moov-wallet

wallet

object
Show child attributes

partnerAccountID

string<uuid> required

walletID

string required

walletType

string<enum> required

Type of a wallet.

  • default: The system-generated wallet automatically created when an account is granted the wallet capability.
  • general: An additional, user-defined wallet created via API or Dashboard.
Possible values: default, general

bankAccount

object
A bank account as contained within a payment method.
Show child attributes

bankAccountID

string required

bankAccountType

string<enum> required
The bank account type.
Possible values: checking, savings, general-ledger, loan

bankName

string required

fingerprint

string <=100 characters required

Once the bank account is linked, we don't reveal the full bank account number.

The fingerprint acts as a way to identify whether two linked bank accounts are the same.

holderName

string required

holderType

string<enum> required
The type of holder on a funding source.
Possible values: individual, business, guest

lastFourAccountNumber

string required

routingNumber

string required

status

string<enum> required
Possible values: new, verified, verificationFailed, pending, errored

updatedOn

string<date-time> required

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: ach-debit-fund

bankAccount

object
A bank account as contained within a payment method.
Show child attributes

bankAccountID

string required

bankAccountType

string<enum> required
The bank account type.
Possible values: checking, savings, general-ledger, loan

bankName

string required

fingerprint

string <=100 characters required

Once the bank account is linked, we don't reveal the full bank account number.

The fingerprint acts as a way to identify whether two linked bank accounts are the same.

holderName

string required

holderType

string<enum> required
The type of holder on a funding source.
Possible values: individual, business, guest

lastFourAccountNumber

string required

routingNumber

string required

status

string<enum> required
Possible values: new, verified, verificationFailed, pending, errored

updatedOn

string<date-time> required

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: ach-debit-collect

bankAccount

object
A bank account as contained within a payment method.
Show child attributes

bankAccountID

string required

bankAccountType

string<enum> required
The bank account type.
Possible values: checking, savings, general-ledger, loan

bankName

string required

fingerprint

string <=100 characters required

Once the bank account is linked, we don't reveal the full bank account number.

The fingerprint acts as a way to identify whether two linked bank accounts are the same.

holderName

string required

holderType

string<enum> required
The type of holder on a funding source.
Possible values: individual, business, guest

lastFourAccountNumber

string required

routingNumber

string required

status

string<enum> required
Possible values: new, verified, verificationFailed, pending, errored

updatedOn

string<date-time> required

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: ach-credit-standard

bankAccount

object
A bank account as contained within a payment method.
Show child attributes

bankAccountID

string required

bankAccountType

string<enum> required
The bank account type.
Possible values: checking, savings, general-ledger, loan

bankName

string required

fingerprint

string <=100 characters required

Once the bank account is linked, we don't reveal the full bank account number.

The fingerprint acts as a way to identify whether two linked bank accounts are the same.

holderName

string required

holderType

string<enum> required
The type of holder on a funding source.
Possible values: individual, business, guest

lastFourAccountNumber

string required

routingNumber

string required

status

string<enum> required
Possible values: new, verified, verificationFailed, pending, errored

updatedOn

string<date-time> required

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: ach-credit-same-day

bankAccount

object
A bank account as contained within a payment method.
Show child attributes

bankAccountID

string required

bankAccountType

string<enum> required
The bank account type.
Possible values: checking, savings, general-ledger, loan

bankName

string required

fingerprint

string <=100 characters required

Once the bank account is linked, we don't reveal the full bank account number.

The fingerprint acts as a way to identify whether two linked bank accounts are the same.

holderName

string required

holderType

string<enum> required
The type of holder on a funding source.
Possible values: individual, business, guest

lastFourAccountNumber

string required

routingNumber

string required

status

string<enum> required
Possible values: new, verified, verificationFailed, pending, errored

updatedOn

string<date-time> required

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: rtp-credit

card

object
A card as contained within a payment method.
Show child attributes

billingAddress

object required
The billing address associated with the card.
Show child attributes

addressLine1

string <=60 characters
Street address line 1.

addressLine2

string <=32 characters
Street address line 2 (e.g., apartment or suite number).

city

string <=32 characters
City name.

country

string <=2 characters
Two-letter ISO 3166-1 country code.

postalCode

string <=10 characters required
Postal or ZIP code.

stateOrProvince

string <=2 characters
Two-letter state or province code.

bin

string [6 to 8] characters required
The first six to eight digits of the card number, which identifies the financial institution that issued the card.

brand

string<enum> required
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardID

string required
ID of the card.

cardType

string<enum> required
The type of the card.
Possible values: debit, credit, prepaid, unknown

cardVerification

object required
The results of submitting cardholder data to a card network for verification.
Show child attributes

addressLine1

string required
Verification result of the billing address line 1. Derived from the same AVS code as postalCode; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

cvv

string required
Verification result of the card's CVV.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

postalCode

string required
Verification result of the billing address postal code. Derived from the same AVS code as addressLine1; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

accountName

object
Verification results of the cardholder's name, broken down by name component.
The results of submitting cardholder name to a card network for verification.
Show child attributes

firstName

string
Verification result of the cardholder's first name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

fullName

string
Verification result of the cardholder's full name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

lastName

string
Verification result of the cardholder's last name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

middleName

string
Verification result of the cardholder's middle name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

expiration

object required
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters required
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

lastFourCardNumber

string 4 characters required
Last four digits of the card number

cardAccountUpdater

object
The results of the most recent card update request.
Show child attributes

updateType

string<enum>
The results of the card update request.
Possible values: unspecified, account-closed, contact-cardholder, expiration-update, no-change, no-match, number-update

updatedOn

string<date-time>
Timestamp from the card network indicating when the card update was processed.

cardOnFile

boolean
Indicates cardholder has authorized card to be stored for future payments.

domesticPullFromCard

string<enum>
Indicates if the card supports domestic pull-from-card transfer.
Possible values: not-supported, supported, unknown

domesticPushToCard

string<enum>
Indicates which level of domestic push-to-card transfer is supported by the card, if any.
Possible values: not-supported, standard, fast-funds, unknown

holderName

string
The name of the cardholder as it appears on the card.

issuer

string
Financial institution that issued the card.

issuerCountry

string
Country where the card was issued.

merchantAccountID

string
Merchant account whose details (statement descriptor, address, etc.) are used for the card verification authorization. If omitted, the partner account's details are used instead.

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: card-payment

card

object
A card as contained within a payment method.
Show child attributes

billingAddress

object required
The billing address associated with the card.
Show child attributes

addressLine1

string <=60 characters
Street address line 1.

addressLine2

string <=32 characters
Street address line 2 (e.g., apartment or suite number).

city

string <=32 characters
City name.

country

string <=2 characters
Two-letter ISO 3166-1 country code.

postalCode

string <=10 characters required
Postal or ZIP code.

stateOrProvince

string <=2 characters
Two-letter state or province code.

bin

string [6 to 8] characters required
The first six to eight digits of the card number, which identifies the financial institution that issued the card.

brand

string<enum> required
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardID

string required
ID of the card.

cardType

string<enum> required
The type of the card.
Possible values: debit, credit, prepaid, unknown

cardVerification

object required
The results of submitting cardholder data to a card network for verification.
Show child attributes

addressLine1

string required
Verification result of the billing address line 1. Derived from the same AVS code as postalCode; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

cvv

string required
Verification result of the card's CVV.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

postalCode

string required
Verification result of the billing address postal code. Derived from the same AVS code as addressLine1; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

accountName

object
Verification results of the cardholder's name, broken down by name component.
The results of submitting cardholder name to a card network for verification.
Show child attributes

firstName

string
Verification result of the cardholder's first name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

fullName

string
Verification result of the cardholder's full name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

lastName

string
Verification result of the cardholder's last name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

middleName

string
Verification result of the cardholder's middle name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

expiration

object required
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters required
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

lastFourCardNumber

string 4 characters required
Last four digits of the card number

cardAccountUpdater

object
The results of the most recent card update request.
Show child attributes

updateType

string<enum>
The results of the card update request.
Possible values: unspecified, account-closed, contact-cardholder, expiration-update, no-change, no-match, number-update

updatedOn

string<date-time>
Timestamp from the card network indicating when the card update was processed.

cardOnFile

boolean
Indicates cardholder has authorized card to be stored for future payments.

domesticPullFromCard

string<enum>
Indicates if the card supports domestic pull-from-card transfer.
Possible values: not-supported, supported, unknown

domesticPushToCard

string<enum>
Indicates which level of domestic push-to-card transfer is supported by the card, if any.
Possible values: not-supported, standard, fast-funds, unknown

holderName

string
The name of the cardholder as it appears on the card.

issuer

string
Financial institution that issued the card.

issuerCountry

string
Country where the card was issued.

merchantAccountID

string
Merchant account whose details (statement descriptor, address, etc.) are used for the card verification authorization. If omitted, the partner account's details are used instead.

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: push-to-card

card

object
A card as contained within a payment method.
Show child attributes

billingAddress

object required
The billing address associated with the card.
Show child attributes

addressLine1

string <=60 characters
Street address line 1.

addressLine2

string <=32 characters
Street address line 2 (e.g., apartment or suite number).

city

string <=32 characters
City name.

country

string <=2 characters
Two-letter ISO 3166-1 country code.

postalCode

string <=10 characters required
Postal or ZIP code.

stateOrProvince

string <=2 characters
Two-letter state or province code.

bin

string [6 to 8] characters required
The first six to eight digits of the card number, which identifies the financial institution that issued the card.

brand

string<enum> required
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardID

string required
ID of the card.

cardType

string<enum> required
The type of the card.
Possible values: debit, credit, prepaid, unknown

cardVerification

object required
The results of submitting cardholder data to a card network for verification.
Show child attributes

addressLine1

string required
Verification result of the billing address line 1. Derived from the same AVS code as postalCode; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

cvv

string required
Verification result of the card's CVV.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

postalCode

string required
Verification result of the billing address postal code. Derived from the same AVS code as addressLine1; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

accountName

object
Verification results of the cardholder's name, broken down by name component.
The results of submitting cardholder name to a card network for verification.
Show child attributes

firstName

string
Verification result of the cardholder's first name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

fullName

string
Verification result of the cardholder's full name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

lastName

string
Verification result of the cardholder's last name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

middleName

string
Verification result of the cardholder's middle name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

expiration

object required
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters required
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

lastFourCardNumber

string 4 characters required
Last four digits of the card number

cardAccountUpdater

object
The results of the most recent card update request.
Show child attributes

updateType

string<enum>
The results of the card update request.
Possible values: unspecified, account-closed, contact-cardholder, expiration-update, no-change, no-match, number-update

updatedOn

string<date-time>
Timestamp from the card network indicating when the card update was processed.

cardOnFile

boolean
Indicates cardholder has authorized card to be stored for future payments.

domesticPullFromCard

string<enum>
Indicates if the card supports domestic pull-from-card transfer.
Possible values: not-supported, supported, unknown

domesticPushToCard

string<enum>
Indicates which level of domestic push-to-card transfer is supported by the card, if any.
Possible values: not-supported, standard, fast-funds, unknown

holderName

string
The name of the cardholder as it appears on the card.

issuer

string
Financial institution that issued the card.

issuerCountry

string
Country where the card was issued.

merchantAccountID

string
Merchant account whose details (statement descriptor, address, etc.) are used for the card verification authorization. If omitted, the partner account's details are used instead.

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: pull-from-card

applePay

object
Describes an Apple Pay token on a Moov account.
Show child attributes

brand

string<enum> required
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardDisplayName

string required

User-friendly name of the tokenized card returned by Apple.

It usually contains the brand and the last four digits of the underlying card. There is no standard format.

cardType

string<enum> required
The type of the card.
Possible values: debit, credit, prepaid, unknown

dynamicLastFour

string required
The last four digits of the Apple Pay token, which may differ from the tokenized card's last four digits.

expiration

object required
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters required
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

issuerCountry

string
Country where the underlying card was issued.

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: apple-pay
A card used at point of sale terminal for a card present transaction as contained within a payment method.

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: card-present-payment

terminalCard

object
Describes payment card details captured with tap or in-person payment.
Show child attributes

applicationID

string
Identifier for the point of sale terminal application.

applicationName

string
Name label for the point of sale terminal application.

bin

string [6 to 8] characters

brand

string<enum>
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardType

string<enum>
The type of the card.
Possible values: debit, credit, prepaid, unknown

entryMode

string<enum>
How the card information was entered into the point of sale terminal.
Possible values: contactless

expiration

object
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

holderName

string
The name of the cardholder as it appears on the card.

issuer

string
Financial institution that issued the card.

issuerCountry

string
Country where the card was issued.

lastFourCardNumber

string 4 characters
Last four digits of the card number
Instantly send funds to a bank account.

bankAccount

object
A bank account as contained within a payment method.
Show child attributes

bankAccountID

string required

bankAccountType

string<enum> required
The bank account type.
Possible values: checking, savings, general-ledger, loan

bankName

string required

fingerprint

string <=100 characters required

Once the bank account is linked, we don't reveal the full bank account number.

The fingerprint acts as a way to identify whether two linked bank accounts are the same.

holderName

string required

holderType

string<enum> required
The type of holder on a funding source.
Possible values: individual, business, guest

lastFourAccountNumber

string required

routingNumber

string required

status

string<enum> required
Possible values: new, verified, verificationFailed, pending, errored

updatedOn

string<date-time> required

paymentMethodID

string<uuid>
ID of the payment method.

paymentMethodType

string<enum>
Possible values: instant-bank-credit